/* Notes

Site Colors: 
----->Test Colors: Orange;
-----> Dark-Purple #330066

*/

/* ---------------------------------------------------------------- */
/* BASIC SETUP */
/* ---------------------------------------------------------------- */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  background-color: #330066;
  color: #fff;
  font-family: "Lato", "Verdana", sans-serif;
  font-weight: 300;
  font-size: 20px;
  text-rendering: optimizeLegibility;
}

.logo {
  position: absolute;
  top: 10px;
  left: 20px;
  float: left;
  padding-left: 2px;
  padding-top: 3px;
  margin: 5px;
  background-color: #ded9be;
  display: block;
  height: 50px;
  width: 49px;
  border-radius: 40px;
}
/* ------------------------------ */
/* GRID STYLES */
/* ------------------------------ */

.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 50px;
  grid-row: 100px;
  grid-gap: 5px;
  clear: both;
}

/*.grid-container > div {
    background-color: rgba(0, 0, 0, 1.0);
    text-align: center;
    padding: 5px;
    font-size: 20px;
    color: #FFF;
}*/

/* ------------------------------ */
/* Grid Sections */
/* ------------------------------ */

.header {
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 1;
  grid-row-end: 3;
  text-align: center;
  background-image: linear-gradient(#000, #330066);
  height: 8vh;
  padding: 20px;
}

.resources {
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 3;
  grid-row-end: 6;
  text-align: center;
  background-color: #000;
  border-radius: 8px;
}

.games {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 3;
  grid-row-end: 5;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.keyboard {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 5;
  grid-row-end: 6;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.coding {
  grid-column-start: 3;
  grid-column-end: 4;
  grid-row-start: 3;
  grid-row-end: 5;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.gsuite {
  grid-column-start: 3;
  grid-column-end: 4;
  grid-row-start: 3;
  grid-row-end: 4;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.stem {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 6;
  grid-row-end: 7;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.create {
  grid-column-start: 1;
  grid-column-end: 2;
  grid-row-start: 6;
  grid-row-end: 8;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.virtualWorlds {
  grid-column-start: 3;
  grid-column-end: 4;
  grid-row-start: 5;
  grid-row-end: 8;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

.internetSafety {
  grid-column-start: 2;
  grid-column-end: 3;
  grid-row-start: 7;
  grid-row-end: 9;
  text-align: center;
  border-radius: 8px;
  background-color: #000;
}

/* ------------------------------ */
/* SECTION LABELS */
/* ------------------------------ */

.sectionLabel {
  display: block;
  margin: 5px 5px 5px 5px;
  text-align: center;

  font-weight: bolder;
  background-color: #ded9be;
  color: #330066;

  border-bottom-right-radius: 8px;
  border-top-left-radius: 8px;
  border: 2px solid #6600cc;
}

/* ------------------------------ */
/* TILES */
/* ------------------------------ */

.tiles {
  display: block;
  float: left;
  width: 80px;
  height: 100px;
  margin: 10px 8%;
  justify-content: center;
  font-size: 60%;
  justify-self: center;
}

.tiles a:link,
.tiles a:visited {
  color: aliceblue;
  text-decoration: none;
}

.tiles a:active,
.tiles a:hover {
  color: dodgerblue;
  text-decoration: none;
}
